Ignore:
Timestamp:
Nov 6, 2007 2:52:31 PM (12 years ago)
Author:
stefan
Message:

update to GLPK 4.23 (now also need to setup a config.h)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r522 r735  
    1969819698}
    1969919699
     19700
     19701for ac_func in vsnprintf
     19702do
     19703as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
     19704echo "$as_me:$LINENO: checking for $ac_func" >&5
     19705echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
     19706if eval "test \"\${$as_ac_var+set}\" = set"; then
     19707  echo $ECHO_N "(cached) $ECHO_C" >&6
     19708else
     19709  cat >conftest.$ac_ext <<_ACEOF
     19710/* confdefs.h.  */
     19711_ACEOF
     19712cat confdefs.h >>conftest.$ac_ext
     19713cat >>conftest.$ac_ext <<_ACEOF
     19714/* end confdefs.h.  */
     19715/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
     19716   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
     19717#define $ac_func innocuous_$ac_func
     19718
     19719/* System header to define __stub macros and hopefully few prototypes,
     19720    which can conflict with char $ac_func (); below.
     19721    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     19722    <limits.h> exists even on freestanding compilers.  */
     19723
     19724#ifdef __STDC__
     19725# include <limits.h>
     19726#else
     19727# include <assert.h>
     19728#endif
     19729
     19730#undef $ac_func
     19731
     19732/* Override any gcc2 internal prototype to avoid an error.  */
     19733#ifdef __cplusplus
     19734extern "C"
     19735{
     19736#endif
     19737/* We use char because int might match the return type of a gcc2
     19738   builtin and then its argument prototype would still apply.  */
     19739char $ac_func ();
     19740/* The GNU C library defines this for functions which it implements
     19741    to always fail with ENOSYS.  Some functions are actually named
     19742    something starting with __ and the normal name is an alias.  */
     19743#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
     19744choke me
     19745#else
     19746char (*f) () = $ac_func;
     19747#endif
     19748#ifdef __cplusplus
     19749}
     19750#endif
     19751
     19752int
     19753main ()
     19754{
     19755return f != $ac_func;
     19756  ;
     19757  return 0;
     19758}
     19759_ACEOF
     19760rm -f conftest.$ac_objext conftest$ac_exeext
     19761if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     19762  (eval $ac_link) 2>conftest.er1
     19763  ac_status=$?
     19764  grep -v '^ *+' conftest.er1 >conftest.err
     19765  rm -f conftest.er1
     19766  cat conftest.err >&5
     19767  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19768  (exit $ac_status); } &&
     19769         { ac_try='test -z "$ac_c_werror_flag"
     19770                         || test ! -s conftest.err'
     19771  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19772  (eval $ac_try) 2>&5
     19773  ac_status=$?
     19774  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19775  (exit $ac_status); }; } &&
     19776         { ac_try='test -s conftest$ac_exeext'
     19777  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     19778  (eval $ac_try) 2>&5
     19779  ac_status=$?
     19780  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     19781  (exit $ac_status); }; }; then
     19782  eval "$as_ac_var=yes"
     19783else
     19784  echo "$as_me: failed program was:" >&5
     19785sed 's/^/| /' conftest.$ac_ext >&5
     19786
     19787eval "$as_ac_var=no"
     19788fi
     19789rm -f conftest.err conftest.$ac_objext \
     19790      conftest$ac_exeext conftest.$ac_ext
     19791fi
     19792echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
     19793echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
     19794if test `eval echo '${'$as_ac_var'}'` = yes; then
     19795  cat >>confdefs.h <<_ACEOF
     19796#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
     19797_ACEOF
     19798
     19799fi
     19800done
     19801
     19802
    1970019803###########################################################################
    1970119804#                            COIN_HAS_GLPK                                #
     
    1999520098
    1999620099
     20100          ac_config_headers="$ac_config_headers glpk/config.h"
     20101
     20102
    1999720103
    1999820104
     
    2012620232fi
    2012720233
    20128 # Transform confdefs.h into DEFS.
    20129 # Protect against shell expansion while executing Makefile rules.
    20130 # Protect against Makefile macro expansion.
    20131 #
    20132 # If the first sed substitution is executed (which looks for macros that
    20133 # take arguments), then we branch to the quote section.  Otherwise,
    20134 # look for a macro that doesn't take arguments.
    20135 cat >confdef2opt.sed <<\_ACEOF
    20136 t clear
    20137 : clear
    20138 s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\),-D\1=\2,g
    20139 t quote
    20140 s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\),-D\1=\2,g
    20141 t quote
    20142 d
    20143 : quote
    20144 s,[      `~#$^&*(){}\\|;'"<>?],\\&,g
    20145 s,\[,\\&,g
    20146 s,\],\\&,g
    20147 s,\$,$$,g
    20148 p
    20149 _ACEOF
    20150 # We use echo to avoid assuming a particular line-breaking character.
    20151 # The extra dot is to prevent the shell from consuming trailing
    20152 # line-breaks from the sub-command output.  A line-break within
    20153 # single-quotes doesn't work because, if this script is created in a
    20154 # platform that uses two characters for line-breaks (e.g., DOS), tr
    20155 # would break.
    20156 ac_LF_and_DOT=`echo; echo .`
    20157 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
    20158 rm -f confdef2opt.sed
    20159 
     20234DEFS=-DHAVE_CONFIG_H
    2016020235
    2016120236ac_libobjs=
     
    2055420629  --file=FILE[:TEMPLATE]
    2055520630                   instantiate the configuration file FILE
     20631  --header=FILE[:TEMPLATE]
     20632                   instantiate the configuration header FILE
    2055620633
    2055720634Configuration files:
    2055820635$config_files
     20636
     20637Configuration headers:
     20638$config_headers
    2055920639
    2056020640Configuration commands:
     
    2067820758  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    2067920759  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
     20760  "glpk/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS glpk/config.h" ;;
    2068020761  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
    2068120762echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
     
    2069020771if $ac_need_defaults; then
    2069120772  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
     20773  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
    2069220774  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
    2069320775fi
     
    2110821190
    2110921191#
     21192# CONFIG_HEADER section.
     21193#
     21194
     21195# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
     21196# NAME is the cpp macro being defined and VALUE is the value it is being given.
     21197#
     21198# ac_d sets the value in "#define NAME VALUE" lines.
     21199ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
     21200ac_dB='[         ].*$,\1#\2'
     21201ac_dC=' '
     21202ac_dD=',;t'
     21203# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
     21204ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
     21205ac_uB='$,\1#\2define\3'
     21206ac_uC=' '
     21207ac_uD=',;t'
     21208
     21209for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
     21210  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
     21211  case $ac_file in
     21212  - | *:- | *:-:* ) # input from stdin
     21213        cat >$tmp/stdin
     21214        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
     21215        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
     21216  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
     21217        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
     21218  * )   ac_file_in=$ac_file.in ;;
     21219  esac
     21220
     21221  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
     21222echo "$as_me: creating $ac_file" >&6;}
     21223
     21224  # First look for the input files in the build tree, otherwise in the
     21225  # src tree.
     21226  ac_file_inputs=`IFS=:
     21227    for f in $ac_file_in; do
     21228      case $f in
     21229      -) echo $tmp/stdin ;;
     21230      [\\/$]*)
     21231         # Absolute (can't be DOS-style, as IFS=:)
     21232         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
     21233echo "$as_me: error: cannot find input file: $f" >&2;}
     21234   { (exit 1); exit 1; }; }
     21235         # Do quote $f, to prevent DOS paths from being IFS'd.
     21236         echo "$f";;
     21237      *) # Relative
     21238         if test -f "$f"; then
     21239           # Build tree
     21240           echo "$f"
     21241         elif test -f "$srcdir/$f"; then
     21242           # Source tree
     21243           echo "$srcdir/$f"
     21244         else
     21245           # /dev/null tree
     21246           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
     21247echo "$as_me: error: cannot find input file: $f" >&2;}
     21248   { (exit 1); exit 1; }; }
     21249         fi;;
     21250      esac
     21251    done` || { (exit 1); exit 1; }
     21252  # Remove the trailing spaces.
     21253  sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
     21254
     21255_ACEOF
     21256
     21257# Transform confdefs.h into two sed scripts, `conftest.defines' and
     21258# `conftest.undefs', that substitutes the proper values into
     21259# config.h.in to produce config.h.  The first handles `#define'
     21260# templates, and the second `#undef' templates.
     21261# And first: Protect against being on the right side of a sed subst in
     21262# config.status.  Protect against being in an unquoted here document
     21263# in config.status.
     21264rm -f conftest.defines conftest.undefs
     21265# Using a here document instead of a string reduces the quoting nightmare.
     21266# Putting comments in sed scripts is not portable.
     21267#
     21268# `end' is used to avoid that the second main sed command (meant for
     21269# 0-ary CPP macros) applies to n-ary macro definitions.
     21270# See the Autoconf documentation for `clear'.
     21271cat >confdef2sed.sed <<\_ACEOF
     21272s/[\\&,]/\\&/g
     21273s,[\\$`],\\&,g
     21274t clear
     21275: clear
     21276s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*\)\(([^)]*)\)[       ]*\(.*\)$,${ac_dA}\1${ac_dB}\1\2${ac_dC}\3${ac_dD},gp
     21277t end
     21278s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\)$,${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD},gp
     21279: end
     21280_ACEOF
     21281# If some macros were called several times there might be several times
     21282# the same #defines, which is useless.  Nevertheless, we may not want to
     21283# sort them, since we want the *last* AC-DEFINE to be honored.
     21284uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
     21285sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
     21286rm -f confdef2sed.sed
     21287
     21288# This sed command replaces #undef with comments.  This is necessary, for
     21289# example, in the case of _POSIX_SOURCE, which is predefined and required
     21290# on some systems where configure will not decide to define it.
     21291cat >>conftest.undefs <<\_ACEOF
     21292s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
     21293_ACEOF
     21294
     21295# Break up conftest.defines because some shells have a limit on the size
     21296# of here documents, and old seds have small limits too (100 cmds).
     21297echo '  # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
     21298echo '  if grep "^[      ]*#[    ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
     21299echo '  # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
     21300echo '  :' >>$CONFIG_STATUS
     21301rm -f conftest.tail
     21302while grep . conftest.defines >/dev/null
     21303do
     21304  # Write a limited-size here document to $tmp/defines.sed.
     21305  echo '  cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
     21306  # Speed up: don't consider the non `#define' lines.
     21307  echo '/^[      ]*#[    ]*define/!b' >>$CONFIG_STATUS
     21308  # Work around the forget-to-reset-the-flag bug.
     21309  echo 't clr' >>$CONFIG_STATUS
     21310  echo ': clr' >>$CONFIG_STATUS
     21311  sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
     21312  echo 'CEOF
     21313  sed -f $tmp/defines.sed $tmp/in >$tmp/out
     21314  rm -f $tmp/in
     21315  mv $tmp/out $tmp/in
     21316' >>$CONFIG_STATUS
     21317  sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
     21318  rm -f conftest.defines
     21319  mv conftest.tail conftest.defines
     21320done
     21321rm -f conftest.defines
     21322echo '  fi # grep' >>$CONFIG_STATUS
     21323echo >>$CONFIG_STATUS
     21324
     21325# Break up conftest.undefs because some shells have a limit on the size
     21326# of here documents, and old seds have small limits too (100 cmds).
     21327echo '  # Handle all the #undef templates' >>$CONFIG_STATUS
     21328rm -f conftest.tail
     21329while grep . conftest.undefs >/dev/null
     21330do
     21331  # Write a limited-size here document to $tmp/undefs.sed.
     21332  echo '  cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
     21333  # Speed up: don't consider the non `#undef'
     21334  echo '/^[      ]*#[    ]*undef/!b' >>$CONFIG_STATUS
     21335  # Work around the forget-to-reset-the-flag bug.
     21336  echo 't clr' >>$CONFIG_STATUS
     21337  echo ': clr' >>$CONFIG_STATUS
     21338  sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
     21339  echo 'CEOF
     21340  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
     21341  rm -f $tmp/in
     21342  mv $tmp/out $tmp/in
     21343' >>$CONFIG_STATUS
     21344  sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
     21345  rm -f conftest.undefs
     21346  mv conftest.tail conftest.undefs
     21347done
     21348rm -f conftest.undefs
     21349
     21350cat >>$CONFIG_STATUS <<\_ACEOF
     21351  # Let's still pretend it is `configure' which instantiates (i.e., don't
     21352  # use $as_me), people would be surprised to read:
     21353  #    /* config.h.  Generated by config.status.  */
     21354  if test x"$ac_file" = x-; then
     21355    echo "/* Generated by configure.  */" >$tmp/config.h
     21356  else
     21357    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
     21358  fi
     21359  cat $tmp/in >>$tmp/config.h
     21360  rm -f $tmp/in
     21361  if test x"$ac_file" != x-; then
     21362    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
     21363      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
     21364echo "$as_me: $ac_file is unchanged" >&6;}
     21365    else
     21366      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
     21367$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21368         X"$ac_file" : 'X\(//\)[^/]' \| \
     21369         X"$ac_file" : 'X\(//\)$' \| \
     21370         X"$ac_file" : 'X\(/\)' \| \
     21371         .     : '\(.\)' 2>/dev/null ||
     21372echo X"$ac_file" |
     21373    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21374          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21375          /^X\(\/\/\)$/{ s//\1/; q; }
     21376          /^X\(\/\).*/{ s//\1/; q; }
     21377          s/.*/./; q'`
     21378      { if $as_mkdir_p; then
     21379    mkdir -p "$ac_dir"
     21380  else
     21381    as_dir="$ac_dir"
     21382    as_dirs=
     21383    while test ! -d "$as_dir"; do
     21384      as_dirs="$as_dir $as_dirs"
     21385      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     21386$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21387         X"$as_dir" : 'X\(//\)[^/]' \| \
     21388         X"$as_dir" : 'X\(//\)$' \| \
     21389         X"$as_dir" : 'X\(/\)' \| \
     21390         .     : '\(.\)' 2>/dev/null ||
     21391echo X"$as_dir" |
     21392    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21393          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21394          /^X\(\/\/\)$/{ s//\1/; q; }
     21395          /^X\(\/\).*/{ s//\1/; q; }
     21396          s/.*/./; q'`
     21397    done
     21398    test ! -n "$as_dirs" || mkdir $as_dirs
     21399  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
     21400echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
     21401   { (exit 1); exit 1; }; }; }
     21402
     21403      rm -f $ac_file
     21404      mv $tmp/config.h $ac_file
     21405    fi
     21406  else
     21407    cat $tmp/config.h
     21408    rm -f $tmp/config.h
     21409  fi
     21410# Compute $ac_file's index in $config_headers.
     21411_am_stamp_count=1
     21412for _am_header in $config_headers :; do
     21413  case $_am_header in
     21414    $ac_file | $ac_file:* )
     21415      break ;;
     21416    * )
     21417      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
     21418  esac
     21419done
     21420echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
     21421$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21422         X$ac_file : 'X\(//\)[^/]' \| \
     21423         X$ac_file : 'X\(//\)$' \| \
     21424         X$ac_file : 'X\(/\)' \| \
     21425         .     : '\(.\)' 2>/dev/null ||
     21426echo X$ac_file |
     21427    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21428          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21429          /^X\(\/\/\)$/{ s//\1/; q; }
     21430          /^X\(\/\).*/{ s//\1/; q; }
     21431          s/.*/./; q'`/stamp-h$_am_stamp_count
     21432done
     21433_ACEOF
     21434cat >>$CONFIG_STATUS <<\_ACEOF
     21435
     21436#
    2111021437# CONFIG_COMMANDS section.
    2111121438#
Note: See TracChangeset for help on using the changeset viewer.